Subject: Re: [PATCH] powerpc/mm: Lockless get_user_pages_fast()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 30 Jul 2008 15:08:40 +1000

On Wed, 2008-07-30 at 15:06 +1000, Michael Ellerman wrote:
> > +
> > +/*
> > + * The performance critical leaf functions are made noinline otherwise gcc
> > + * inlines everything into a single function which results in too much
> > + * register pressure.
> > + */
> 
> This strikes me as something that is liable to change for compiler
> version n+1, or n with -fsomething - and might leave us shooting
> ourselves in the foot, just a thought.
> 

Not that much I'd say... In fact, I wouldn't be too worried on powerpc,
I wonder if that comment is stale from the x86 variant :-) Nick ?

Cheers,
Ben.